Bug 195008 - Support Pointer Events on macOS
Summary: Support Pointer Events on macOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-02-25 10:51 PST by Antoine Quint
Modified: 2019-10-10 03:12 PDT (History)
14 users (show)

See Also:


Attachments
EWS run, not for review (20.05 KB, patch)
2019-02-25 10:54 PST, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (41.41 KB, patch)
2019-02-26 10:27 PST, Antoine Quint
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews113 for mac-highsierra (410.44 KB, application/zip)
2019-02-26 11:39 PST, EWS Watchlist
no flags Details
Archive of layout-test-results from ews101 for mac-highsierra (2.46 MB, application/zip)
2019-02-26 11:47 PST, EWS Watchlist
no flags Details
Patch (48.15 KB, patch)
2019-02-27 08:32 PST, Antoine Quint
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2019-02-25 10:51:45 PST
We currently only support Pointer Events on iOS, we need to make them work with the mouse on macOS too.
Comment 1 Antoine Quint 2019-02-25 10:51:55 PST
<rdar://problem/47454419>
Comment 2 Antoine Quint 2019-02-25 10:54:21 PST
Created attachment 362911 [details]
EWS run, not for review
Comment 3 EWS Watchlist 2019-02-25 10:57:34 PST
Attachment 362911 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Antoine Quint 2019-02-26 10:27:35 PST
Created attachment 362992 [details]
Patch
Comment 5 EWS Watchlist 2019-02-26 11:39:33 PST
Comment on attachment 362992 [details]
Patch

Attachment 362992 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11291951

Number of test failures exceeded the failure limit.
Comment 6 EWS Watchlist 2019-02-26 11:39:34 PST
Created attachment 362997 [details]
Archive of layout-test-results from ews113 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 7 EWS Watchlist 2019-02-26 11:47:09 PST
Comment on attachment 362992 [details]
Patch

Attachment 362992 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11292065

New failing tests:
pointerevents/mouse/pointerdown-prevent-default.html
pointerevents/mouse/pointer-events-before-mouse-events.html
pointerevents/mouse/pointer-capture.html
pointerevents/mouse/over-enter-out-leave.html
Comment 8 EWS Watchlist 2019-02-26 11:47:11 PST
Created attachment 362998 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 9 Antoine Quint 2019-02-27 08:14:48 PST
The failures on the WK1 bots are due to two things:

1. the Pointer Events runtime flag wasn't set to true in DumpRenderTree
2. the window.eventSender APIs behave differently in WK1 and make the tests fail (see webkit.org/b/195098)
Comment 10 Antoine Quint 2019-02-27 08:32:49 PST
Created attachment 363092 [details]
Patch
Comment 11 Antoine Quint 2019-02-27 08:45:42 PST
The new patch ensures DRT runs with the Pointer Events flag set to true, just like WKTR, and fixes crashers in debug mode due to the default pointerId being to set to 0.
Comment 12 WebKit Commit Bot 2019-02-27 11:02:09 PST
Comment on attachment 363092 [details]
Patch

Clearing flags on attachment: 363092

Committed r242137: <https://trac.webkit.org/changeset/242137>
Comment 13 WebKit Commit Bot 2019-02-27 11:02:11 PST
All reviewed patches have been landed.  Closing bug.